# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'capistrano/slack/version'

Gem::Specification.new do |spec|
  spec.name          = "capistrano-slack-notifier"
  spec.version       = Capistrano::Slack::VERSION
  spec.authors       = ["Paul-Emile MINY"]
  spec.email         = ["paulemile.miny@gmail.com"]
  spec.summary       = %q{Notify capistrano deploy in slack channels.}
  spec.description   = %q{Notify capistrano deploy in slack channels.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'capistrano', ">= 2.13.5","<= 2.16.0"
  spec.add_dependency 'slack-notifier', ">= 0.5","<= 1"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
end
